Name:      vlc-htsp-plugin
Version:   0.2
Release:   %mkrel 5
License:   GPL-3.0
Summary:   Plugin for VLC to access TVHeadend via HTSP.
Url:       https://github.com/BtbN/vlc-htsp-plugin
Group:     Video
Source:    vlc-htsp-plugin-master.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  vlc-devel
Requires:  vlc

%description
Plugin for VLC to access TVHeadend via HTSP.

Some settings are available for the service discovery. Filter advanced settings for HTS to easily find them.

URL format is htsp://{username{:password}@}server{:port}/channelId

The Service Discovery module is listed under LAN and grabs the channel list from TVH.

%prep
%setup -qn vlc-htsp-plugin-master

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/vlc/plugins/access
install -m 0755 libhtsp_plugin.so %{buildroot}%{_libdir}/vlc/plugins/access

%files
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libhtsp_plugin.so

%changelog
* Wed Mar 10 2015 bb <bb> 0.2-5pclos2015
- rebuild with lua5.2

* Sat Feb 28 2015 bb <bb> 0.2-4pclos2015
- update from git and rebuild

* Wed Feb 26 2014 bb <bb> 0.2-3pclos2014
- update from git and rebuild

* Fri Jan 03 2014 bb <bb> 0.2-2pclos2014
- drop dependency
